Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453287 - Review Request: perl-Term-ReadLine-Gnu - Perl extension for the GNU Readline/History Library
Summary: Review Request: perl-Term-ReadLine-Gnu - Perl extension for the GNU Readline/...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL: http://netbsd.sk/~lkundrak/SPECS/perl...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-28 22:25 UTC by Lubomir Rintel
Modified: 2015-05-08 16:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-04 21:21:50 UTC
tibbs: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2008-06-28 22:25:48 UTC
SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-Term-ReadLine-Gnu.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/perl-Term-ReadLine-Gnu-1.17a-2.el5.src.rpm

Description:

An implementation of Term::ReadLine using the GNU Readline/History Library.

Comment 1 Lubomir Rintel 2008-06-28 22:33:04 UTC
Note that this currently won't build on rawhide (and probably also Fedora 9),
unless you comment out the tests. Actually, the test themselves run fine, but
cause the interpreter to crash when it terminates. This is not particularly
limiting, but an annoyance and has an implication of changing the return value
of perl to indeicate failure (which causes the test suite to fail).

I'd appreciate if anyone helped me to debug the problem, since Perl internals
are not anything I would be especially familiar with. I've been given an advice
of recompiling perl with -DDEBUGGING flag, but given my limited computing powers
this is not going to happen soon. I have at least reported the issue upstream:

#37194: Term::ReadLine::Gnu causes panic during global destruction on perl 5.10
http://rt.cpan.org/Public/Bug/Display.html?id=37194

Comment 2 Jason Tibbitts 2008-06-29 02:07:08 UTC
This is a tough one.  Until the bug is fixed, I don't know if we want to have
this package in the distro because it may just cause bug reports for any
software which might use it.  Below I'll just ignore the test suite, and I
wouldn't have any problems with approving it instantly were the test suite to
start working, but in the current state I just don't know what to do.  Perhaps
talk to the fedora-perl-devel list and see if anyone there has an opinion.

* source files match upstream:
   41206971d87c63cecb6c5892d9cd4c96b53aacd31279db7bf5571662352f9bac  
   Term-ReadLine-Gnu-1.17a.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   Gnu.so()(64bit)
   perl(Term::ReadLine::Gnu) = 1.17
   perl(Term::ReadLine::Gnu::AU)
   perl(Term::ReadLine::Gnu::Var)
   perl(Term::ReadLine::Gnu::XS)
   perl-Term-ReadLine-Gnu = 1.17a-2.fc10
  =
   libreadline.so.5()(64bit)
   libtinfo.so.5()(64bit)
   perl(:MODULE_COMPAT_5.10.0)
   perl(AutoLoader)
   perl(Carp)
   perl(DynaLoader)
   perl(Exporter)
   perl(Term::ReadLine::Gnu::XS)
   perl(strict)
   perl(vars)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.


Comment 3 Lubomir Rintel 2008-06-29 08:04:07 UTC
(In reply to comment #2)
> This is a tough one.  Until the bug is fixed, I don't know if we want to have
> this package in the distro because it may just cause bug reports for any
> software which might use it.

Fair enough; Thanks for the review.

Since I mostly care about having this in EPEL (where the bug either doesn't
exist, or is mitigated somehow), I'm wondering if I'll get an approval if I
promised not to build this in Fedora branches until this gets fixed?

Comment 4 Lubomir Rintel 2008-07-01 16:53:41 UTC
So here's my poor attempt for a _temporary_ workaround for the problem.
Please note it totally sucks [1], but should not make any harm (unless someone
runs valgrind on perl). For more background see perl RT ticket [2], as it's a
bug in perl.

[1] http://fedorapeople.org/~lkundrak/perl-Term-ReadLine-Gnu-1.17-malloc.patch
[2] http://rt.perl.org/rt3/Ticket/Display.html?id=56500

http://netbsd.sk/~lkundrak/SPECS/perl-Term-ReadLine-Gnu.spec
http://netbsd.sk/~lkundrak/SRPMS/perl-Term-ReadLine-Gnu-1.17a-3.el5.src.rpm

Comment 5 Lubomir Rintel 2008-07-01 17:30:32 UTC
Soo there's probably a better solution to this problem: bug #453646
Hopefully the maintainers (I've mailed them) won't mind if that gets fixed with
https://admin.fedoraproject.org/updates/F9/FEDORA-2008-5875

Comment 6 Lubomir Rintel 2008-07-02 14:19:35 UTC
http://netbsd.sk/~lkundrak/SPECS/perl-Term-ReadLine-Gnu.spec
http://netbsd.sk/~lkundrak/SRPMS/perl-Term-ReadLine-Gnu-1.17a-4.el5.src.rpm

I disabled visual bell test. While I plan to fix it, I don't think it should
block the review, as disabling non-critical tests is done for some packages
already in Fedora.

Note that with perl 5.10.0 older than 5.10.0-30 you'll probably trigger a perl
bug during building it. The fixed version of perl is already submitted as an update.

Comment 7 Jason Tibbitts 2008-07-02 17:37:16 UTC
OK, at this point I'm going to say I'm happy.  The failing tests are not due to
bugs in this package and indeed things work OK with a different version of Perl.
 I suppose I could pull the -33.fc10 package out of koji and drop it into my
mock config and do a build but I don't really see the point.  Please go ahead
and get this checked in, and thanks for tracking down the underlying problem.

APPROVED

Comment 8 Lubomir Rintel 2008-07-03 00:07:30 UTC
Thanks for the patience, and the review, Jason.

New Package CVS Request
=======================
Package Name: perl-Term-ReadLine-Gnu
Short Description: Perl extension for the GNU Readline/History Library
Owners: lkundrak
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes

Comment 9 Kevin Fenzi 2008-07-04 20:32:41 UTC
cvs done.

Comment 10 Lubomir Rintel 2008-07-04 21:21:50 UTC
Thanks Kevin && Marek.
Imported and built.

Comment 11 Charles R. Anderson 2015-05-08 14:15:28 UTC
Package Change Request
======================
Package Name: perl-Term-ReadLine-Gnu
New Branches: epel7
Owners: cra
InitialCC: 

perl-Term-ReadLine-Gnu is needed by kpcli.

Comment 12 Gwyn Ciesla 2015-05-08 16:56:27 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.